Skip to content
DELETE /unified/accounting/payments/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

payment_forstring

Whether this is a bill payment or an invoice payment.

References: Invoices → id
Possible values:
billinvoice
1 supported1 required
QuickBooks
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for payments

1 supported
QuickBooks
supported
accountstring

The ID of the account for the payment

References: Accounts → id
1 supported
QuickBooks
supported
companystring

The ID of the company the payment belongs to

References: CompanyInfo → id
contactobject

The contact of the payment

References: Contacts → id
1 supported
QuickBooks
supported
idstring

The ID of the contact

typestring

The type of the contact. Can be customer or vendor.

Possible values:
customervendor
created_atstring · date-time

This represents the date when the payment was created

1 supported
QuickBooks
supported
currencystring

The currency of the payment

1 supported
QuickBooks
supported
exchange_ratenumber

The exchange rate of the payment

invoiceobject

The invoice associated with the payment

References: Invoices → id
1 supported
QuickBooks
supported
idstring

The ID of the invoice

typestring

The type of the invoice

Possible values:
invoicebill
payment_forstring

What entity was the payment for. Can be invoice or bill.

References: Invoices → id
Possible values:
invoicebill
1 supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the payment.

total_amountnumber

The total amount of the payment

1 supported
QuickBooks
supported
transaction_datestring · date-time

The transaction date of the payment

1 supported
QuickBooks
supported
updated_atstring · date-time

This represents the date when the payment was updated

1 supported
QuickBooks
supported
truto unified accounting payments '<resource_id>' \
  -m delete \
  -a '<integrated_account_id>'
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'accounting',
  'payments',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "accounting",
        "payments",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X DELETE 'https://api.truto.one/unified/accounting/payments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/payments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/payments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())